Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.plugin
Interface IExtensions

All Superinterfaces:
  IAdaptable, IPluginObject, IWritable

All Known Subinterfaces:
  IFragment, IPlugin, IPluginBase

public interface IExtensions
extends IPluginObject

A model object that contains the portion of the plug-in model responsible for extensions and extension points. If the plug-in contains OSGi manifest file, plugin.xml is reduced to extensions and extension points only.

Since:
  3.0

Field Summary
`static String` | `P_EXTENSION_ORDER` A model property that will be used when order of extensions changes in this object.

Fields inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`P_NAME`

Method Summary
`void` | `add(IPluginExtension extension)` Adds a new extension to this object.
`void` | `add(IPluginExtensionPoint extension)`
`IPluginExtensionPoint[]` | `getExtensionPoints()` Returns extension points defined in this object.
`IPluginExtension[]` | `getExtensions()` Returns extensions defined in this object.
`int` | `getIndexOf(IPluginExtension e)` Returns the position of the extension in the receiver.
`void` | `remove(IPluginExtension extension)` Removes an extension from this object.
`void` | `remove(IPluginExtensionPoint extensionPoint)` Removes an extension point from this object.
`void` | `swap(IPluginExtension e1, IPluginExtension e2)` Swaps the positions of the provided extensions in the list of extensions.

Methods inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`getModel, getName, getParent, getPluginBase, getPluginModel, getResourceString, getTranslatedName, isInTheModel, isValid, setInTheModel, setName`

Methods inherited from interface org.eclipse.pde.core.IWritable
`write`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### P_EXTENSION_ORDER

    public static final String P_EXTENSION_ORDER

  A model property that will be used when order of extensions changes in this object.

  See Also:
    Constant Field Values

Method Detail

### add

    public void add(IPluginExtension extension)
             throws CoreException

  Adds a new extension to this object. This method will throw a CoreException if model is not editable.

  Parameters:
    `extension` - the extension object
  Throws:
    `CoreException`

### add

    public void add(IPluginExtensionPoint extension)
             throws CoreException

  Parameters:
    `extension` - org.eclipse.pde.ui.model.plugin.IPluginExtension
  Throws:
    `CoreException`

### getExtensionPoints

    public IPluginExtensionPoint[] getExtensionPoints()

  Returns extension points defined in this object.

  Returns:
    an array of extension point objects

### getExtensions

    public IPluginExtension[] getExtensions()

  Returns extensions defined in this object.

  Returns:
    an array of extension objects

### remove

    public void remove(IPluginExtension extension)
                throws CoreException

  Removes an extension from this object. This method will throw a CoreException if the model is not editable.

  Parameters:
    `extension` - the extension object
  Throws:
    `CoreException`

### remove

    public void remove(IPluginExtensionPoint extensionPoint)
                throws CoreException

  Removes an extension point from this object. This method will throw a CoreException if the model is not editable.

  Parameters:
    `extensionPoint` - the extension point object
  Throws:
    `CoreException`

### swap

    public void swap(IPluginExtension e1,
                     IPluginExtension e2)
              throws CoreException

  Swaps the positions of the provided extensions in the list of extensions.

  Parameters:
    `e1` - the first extension object
    `e2` - the second extension object
  Throws:
    `CoreException`

### getIndexOf

    public int getIndexOf(IPluginExtension e)

  Returns the position of the extension in the receiver.

  Parameters:
    `e` - the extension
  Returns:
    the 0-based index of the extension in the receiver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.